CodeText::None(3)

NAME
Tk::CodeText::None - a Plugin for No syntax highlighting

SYNOPSIS
 require Tk::CodeText::None;
 my $hl = new Tk::CodeText::None;
 my @line = $hl->highlight($line);

DESCRIPTION
Tk::CodeText::None is some kind of a dummy plugin module. All methods to provide highlighting in a Tk::CodeText widget are there, ready to do nothing.

It only provides those methods, that Tk::CodeText is going to call upon.

METHODS

highlight($string);
    returns an empty list.

The description of the remaining methods is more a description of what they are supposed to do if you write your own plugin. These methods actually do as little as possible.

rules($txtwidget,\@rules)
    sets and returns a reference to a list of tagnames and options. By default it is set to [ ].

stateCompare(\@state);
    Compares two lists, \@state and the stack. returns true if they match.

stateGet
    Returns a list containing the entire stack.

stateSet(@list)
    Accepts @list as the current stack.

syntax
    returns None

AUTHOR
Hans Jeuken (haje@toneel.demon.nl)

BUGS
Unknown.